Subject: Re: macb phy address bug?

From: Giulio Benetti <[email-masked]>
Date: Tue, 18 Nov 2008 12:54:10 +0100

Giuseppe CAVALLARO wrote:

> In my opinion, we need to rework this patch again for two reasons:
> 1) it doesn't cover the case when the PHYID is 0xffffffff.
> 2) we need to add an explicit comment on the PHYID check to highlight that
>     this is a  work-around the broken hardware (in case we get 0xffff or
> 0x0).
> I've also tested it on several PHY devices: e.g. smsc lan 8700, ste101p,
> ste100p,
> DP83865 National GPHY.
> Where, for some of these, we need to treat the phyid=0 as wrong UID.
> Please, review the attached patch.
> 
> Regards,
> Peppe
> 
> David Miller wrote:
>> I've applied this patch to net-2.6, thanks.
>>
>> As mentioned there is some rare chance that the new
>> zero test could cause problems, in which case we'll
>> need to undo that part.
>> --
>> To unsubscribe from this list: send the line "unsubscribe netdev" in
>> the body of a message to [email-masked]
>> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>>
>>

You're right on hardware, it's my fault. The problem is on the primitives of 
mdio from atmel, I will patch them.

Giulio